# Package org.eclipse.microprofile.fault.tolerance.tck.util

package org.eclipse.microprofile.fault.tolerance.tck.util

Related Packages
Package
Description
org.eclipse.microprofile.fault.tolerance.tck
Class
Description
AsyncCaller
AsyncCallerExecutor
AsyncTaskManager
Utility for running concurrent tasks which need to wait
AsyncTaskManager.BarrierTask<T>
A task which runs using a barrier
Barrier
ConcurrentExecutionTracker
Utility bean to track the number of concurrent executions of a method
Connection
DurationMatcher
Exceptions
Utility class, no public constructor
Exceptions.ExceptionThrowingAction
Packages
Contains constants for utilities packages which need to be included by lots of tests.
TCKConfig
TestException
An identifiable exception thrown by tests which test handling of exceptions thrown by user code.